Bug 183002 - Screensaver doesn't work under KDE
Summary: Screensaver doesn't work under KDE
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: 5
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-25 03:46 UTC by anshul nigham
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 11:13:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
KDE Control Center Window under "Screensaver" (124.49 KB, image/png)
2006-02-25 03:46 UTC, anshul nigham
no flags Details
output of rpm -qa (15.32 KB, text/plain)
2006-02-27 11:36 UTC, anshul nigham
no flags Details
strace error (32.41 KB, image/png)
2006-02-28 03:05 UTC, anshul nigham
no flags Details

Description anshul nigham 2006-02-25 03:46:00 UTC
Description of problem:
Screensaver not working, correspondingly, "Lock Screen" not working. KDE Control
Center, Screensaver, only shows the welcome screen.

Version-Release number of selected component (if applicable):
3.5.1-2.2 Build Date 12-Feb 2006

How reproducible:
Install Fedora Core 5 Test 3, try and lock screen or start screensaver.

Steps to Reproduce:
1. Install FC5-test3, with KDE
2. Attempt to lock screen
3. Go to KDE Control Center, Appearance/Themes -> Screen Saver
  
Actual results:
Nothing happens on Lock screen, KDE Control Center shows welcome screen under
ScreenSaver (screenshot attached)

Expected results:
Screen should lock and screensaver should start on lock screen, KDE Control
Center should show screensaver config.

Additional info:

Comment 1 anshul nigham 2006-02-25 03:46:00 UTC
Created attachment 125223 [details]
KDE Control Center Window under "Screensaver"

Comment 2 Ngo Than 2006-02-27 10:33:35 UTC
it's strange, the KDE screensaver works fine with FC5test3 on the test machine
here. Could you please try to login with a new user and check if the problem
still appears? Thanks

Comment 3 anshul nigham 2006-02-27 10:45:27 UTC
I created a brand new user, still the same issue. Logged in as root, still the
same issue. Is it something that I didn't install? I installed mostly the
default stuff, except I did not install GNOME.

Comment 4 Ngo Than 2006-02-27 11:32:17 UTC
it seems there're some packages missing on my system. Could you please attach
the output of "rpm -qa"? thanks

Comment 5 anshul nigham 2006-02-27 11:36:23 UTC
Created attachment 125309 [details]
output of rpm -qa

As requested.

Comment 6 Ngo Than 2006-02-27 14:19:03 UTC
could you please install the following packages?   
  xscreensaver-base-4.24-1.1  
  xscreensaver-gl-extras-4.24-1.1  
  
Does the problem still appear? If yes, please try to create the strace back of  
kde screensaver with following command line: 
 
 strace -f -o xs.log kcmshell screensaver. 
 
Thanks 
 
 

Comment 7 anshul nigham 2006-02-28 03:05:22 UTC
Created attachment 125373 [details]
strace error

Installing xscreensaver packages did not help. If I try to start strace (as
root), it gives me this error. I have not upgraded FC5t3 from anything - its
running on a separate partition from FC4. I am reusing my FC4 home partition
for my home directory though, could that be the problem?

Comment 8 Toby Ovod-Everett 2006-03-05 16:37:16 UTC
Try right-clicking on the desktop and selecting "Configure Desktop".  Then go 
to the Screen Saver tab.  Do you see the error message "libGL.so.1: cannot 
enable executable stack as shared object requires: Permission denied"?  If so, 
the root problem is probably the same one referenced in Bug 182380.  It appears 
to be an SELinux issue.

For the record, I am observing the above.  I am running FC5 Test 3 x86_64 using 
an integrated ATI RADEON XPRESS 200 (Shuttle ST20G5 motherboard).

Comment 9 Toby Ovod-Everett 2006-03-05 22:07:47 UTC
I ran yum update and let it update hundreds of packages and the screensaver 
problem has now resolved itself.  The OpenGL Screen Savers don't appear to 
work, but the other ones display and appear to work.


Comment 10 anshul nigham 2006-03-06 07:53:02 UTC
(In reply to comment #8)
> Try right-clicking on the desktop and selecting "Configure Desktop".  Then go 
> to the Screen Saver tab.  Do you see the error message "libGL.so.1: cannot 
> enable executable stack as shared object requires: Permission denied"?  If so, 
> the root problem is probably the same one referenced in Bug 182380.  It appears 
> to be an SELinux issue.
> 
> For the record, I am observing the above.  I am running FC5 Test 3 x86_64 using 
> an integrated ATI RADEON XPRESS 200 (Shuttle ST20G5 motherboard).

Yes, I do get this error as well.

Comment 11 anshul nigham 2006-03-06 10:14:12 UTC
(In reply to comment #9)
> I ran yum update and let it update hundreds of packages and the screensaver 
> problem has now resolved itself.  The OpenGL Screen Savers don't appear to 
> work, but the other ones display and appear to work.
> 

Yes, yum update does indeed solve the problem. Thanks


Note You need to log in before you can comment on or make changes to this bug.